import java.util.ArrayList;

/**
 * 
 * @author Lorenz Schauer
 * 
 * Klasse Student
 * Attribute: Name, Vorname, Matrikelnummer und Notenliste
 * Methoden: Getter, Noten hinzufgen und Durchschnitt berechnen
 *
 */
public class Student {

	
	// Deklaration der Instanzvariablen
	private String name; 
	private String vorname;
	
	// Matrikelnummer darf nur einmal mit einem Wert belegt werden, daher final.
	private final int matrikelnr;
	private ArrayList<Double> notenliste;
	
	//Klassenvariable: Instanzzhler
	public static int anzahlObjekte;
	
	// Konstruktor
	public Student(String name, String vorname, int matrikelnr){
		
		this.name=name;
		this.vorname=vorname; 
		this.matrikelnr = matrikelnr;
		
		this.notenliste = new ArrayList<Double>();
		
		//Instanzzhler hochzhlen
		Student.anzahlObjekte++;
	}

	// Fgt Note zur Liste hinzu
	public void addNote(double note){
		
		notenliste.add(note);
		
	}
	
	//Berechnet Durchschnitt auf den eingetragenen Noten und gibt diesen zurck
	public double calcMittelwert(){
		
		if(notenliste.size()==0)
			return 0.0;
		
		double summe = 0.0;
		for(double i : notenliste)
			summe+=i;
		
		return summe/notenliste.size();		
	}
	
	// Zur ausgabe der Gre:	
	public int getAnzahlNoten(){
		return this.notenliste.size();
	}

	//******************
	// Getter-Methoden
	//******************
	
	public String getName() {
		return name;
	}


	public String getVorname() {
		return vorname;
	}


	public int getMatrikelnr() {
		return matrikelnr;
	}
}
